package main

import (
	//	"github.com/awesome-gocui/gocui"
	"go.wit.com/lib/widget"
)

func (n *node) setCheckbox(b any) {
	w := n.tk
	if n.WidgetType != widget.Checkbox {
		return
	}
	if widget.GetBool(b) {
		n.value = b
		n.tk.label = "X " + n.label
	} else {
		n.value = b
		n.tk.label = "  " + n.label
	}
	t := len(n.tk.label) + 1
	w.gocuiSize.w1 = w.gocuiSize.w0 + t

	//	w.realWidth = w.gocuiSize.Width() + me.PadW
	//	w.realHeight = w.gocuiSize.Height() + me.PadH

	//	if w.frame {
	//		w.realWidth += me.FramePadW
	//		w.realHeight += me.FramePadH
	//	}

	n.deleteView()
	n.showView()
}
